VAMP-RDF-TEMPLATE-GENERATOR(1)

NAME
vamp-rdf-template-generator — create a skeleton RDF description file describing a Vamp plugin library using the Vamp ontology

SYNOPSIS

vamp-rdf-template-generator [-i] [vamp:soname[:plugin]] [...]

vamp-rdf-template-generator [PLUGIN_BASE_URI] [-m YOUR_URI] [[vamp:]soname[:plugin]] [...]

DESCRIPTION

This manual page documents briefly the vamp-rdf-template-generator command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

vamp-rdf-template-generator is a program to generate RDF description templates from binary Vamp libraries. It outputs a template for the RDF file describing plugins contained in soname, or for plugin in soname. The generated output requires manual editing. It will contain PLUGIN_BASE_URI as the topic and base URI of the description and YOUR_URI as the plugin maker.

OPTIONS

-i  Run in interactive mode, prompting for
    PLUGIN_BASE_URI         and YOUR_URI.

-m YOUR_URI I
    Set the plugin maker to YOUR_URI.

ENVIRONMENT

VAMP_PATH
    A colon-separated list of directories to look for plugins.

AUTHOR

This manual page was written by Székelyi Szabolcs cc@mail.3d.hu for the Debian system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.